﻿@model List<eCommerce.BackOffice.ViewModels.DeliveryMethodListViewModel>
@*@model eCommerce.BackOffice.ViewModels.DeliveryMethodUpdateViewModel*@

@{
    ViewBag.Title = "Formas de envio";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Formas de envío</h1>
</div>

<div class="page-content">

    @using (Html.BeginForm("DeliveryMethods", "Configuration", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
    {

        <ul class="list-group list-group-full js-dm-list">
            @{
                var n = 1;
            }

            @foreach (var dm in Model)
            {
                <div class="panel">
                    <div class="panel-body">
                        <div class="col-md-12">
                            <div id="example">
                                <li class="list-group-item js-dm">
                                    <div class="row">

                                        <div class="col-sm-1">
                                            <label class="control-label">Habilitado</label>
                                            <div class="checkbox-custom checkbox-primary">
                                                <input type="checkbox" name="DM_Enabled-@n" @(dm.Enabled ? "checked" : string.Empty) />
                                                <label></label>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label class="control-label">Forma</label>
                                            <input type="hidden" name="DM_Id-@n" value="@dm.DeliveryMethodId" />
                                            <select class="form-control js-dm-id" data-plugin="select2" name="DM_DeliveryMethodId-@n">
                                                <option></option>
                                                <option value="+">(+) Nueva</option>
                                                @foreach (var item in dm.Form)
                                                {
                                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                                }
                                                @*@foreach (var item in (SelectList)TempData["DeliveryMethods"])
                                                    {
                                                        <option value="@item.Value" @(item.Value == dm.DeliveryMethodId.ToString() ? "selected" : string.Empty)>@item.Text</option>
                                                    }*@
                                            </select>
                                        </div>


                                        <div class="col-sm-4">
                                            <label class="control-label">Metodos de pago excluidos</label>
                                            <select class="form-control js-dm-id" data-plugin="select2" id="excludedPaymentMethods" name="DM_PaymentMethodExcluded-@n" multiple>
                                                <option></option>

                                                @foreach (var item in dm.ExcludedPaymentMethods)
                                                {
                                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                                }

                                            </select>
                                        </div>

                                        <div class="col-sm-2">
                                            <label class="control-label">Costo</label>
                                            <div class="input-group">
                                                <span class="input-group-addon">$</span>
                                                <input type="number" class="form-control" name="DM_Cost-@n" value="@(dm.Cost.HasValue ? dm.Cost.Value.ToString("0") : string.Empty)" />
                                            </div>
                                        </div>

                                        <div class="col-sm-1">
                                            <label class="control-label"></label>
                                            <button type="button" class="btn btn-danger js-dm-delete">Eliminar</button>
                                            <input type="hidden" name="DM_Deleted-@n" class="js-deleted" value="false" />
                                        </div>
                                    </div>

                                    <!-- CheckBox -->
                                    <div class="row padding-10">
                                        <div class="col-sm-2 col-sm-offset-1">
                                            <label class="control-label">Requiere datos</label>
                                            <div class="checkbox-custom checkbox-primary">
                                                <input type="checkbox" name="DM_RequiresData-@n" @(dm.RequiresData ? "checked" : string.Empty) />
                                                <label></label>
                                            </div>
                                        </div>

                                        <div class="col-sm-2">
                                            <label class="control-label">Es transporte</label>
                                            <div class="checkbox-custom checkbox-primary">
                                                <input type="checkbox" name="DM_IsTransport-@n" @(dm.IsTransport ? "checked" : string.Empty) />
                                                <label></label>
                                            </div>
                                        </div>
                                        <div class="col-sm-2">
                                            <label class="control-label">Mosrar provincias</label>
                                            <div class="checkbox-custom checkbox-primary">
                                                <input type="checkbox" name="DM_IsProvince-@n" @(dm.IsProvince ? "checked" : string.Empty) />
                                                <label></label>
                                            </div>
                                        </div>
                                        <div class="col-sm-2">
                                            <label class="control-label">Es local</label>
                                            <div class="checkbox-custom checkbox-primary">
                                                <input type="checkbox" name="DM_IsLocal-@n" @(dm.IsLocal ? "checked" : string.Empty) />
                                                <label></label>
                                            </div>
                                        </div>
                                        <div class="col-sm-2">
                                            <label class="control-label">Mostrar locales</label>
                                            <div class="checkbox-custom checkbox-primary">
                                                <input type="checkbox" name="DM_ShowLocales-@n" @(dm.ShowLocales ? "checked" : string.Empty) />
                                                <label></label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row padding-bottom-15">
                                        <div class="col-sm-5 col-sm-offset-1">
                                            <label class="control-label">Título</label>
                                            <input type="text" class="form-control" name="DM_Name-@n" value="@dm.Name" />
                                        </div>
                                        <div class="col-sm-6">
                                            <label class="control-label">Descripción</label>
                                            <textarea class="form-control" name="DM_Description-@n">@dm.Description</textarea>
                                        </div>


                                    </div>
                                </li>
                            </div>
                        </div>
                    </div>
                </div>
                n++;

            }


        </ul>

        <button type="button" class="btn btn-primary js-add-dm">Agregar</button>


                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave" onclick="save()">Grabar</button>
                        </div>

                }

</div>





<!-- Template -->

<template id="DeliveryMethodItem">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    <li class="list-group-item js-dm">
                        <div class="row">
                            <div class="col-sm-1">
                                <label class="control-label">Habilitado</label>
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="DM_Enabled-{n}" />
                                    <label></label>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <label class="control-label">Forma</label>
                                <input type="hidden" name="DM_Id-{n}" value="-1" />
                                <select class="form-control js-dm-id" data-plugin="select2" name="DM_DeliveryMethodId-{n}">
                                    <option></option>
                                    <option value="+">(+) Nueva</option>
                                    @foreach (var item in (SelectList)TempData["DeliveryMethods"])
                                    {
                                        <option value="@item.">@item.Text</option>
                                    }
                                </select>
                            </div>

                            <div class="col-sm-4">
                                <label class="control-label">Metodos de pago excluidos</label>
                                <select class="form-control js-dm-id" data-plugin="select2" id="excludedPaymentMethods" name="DM_PaymentMethodExcluded-{n}" multiple>
                                    <option></option>

                                    @foreach (var item in (MultiSelectList)TempData["ExcludedPaymentMethod"])
                                    {
                                        <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                    }

                                </select>
                            </div>



                            <div class="col-sm-2">
                                <label class="control-label">Costo</label>
                                <div class="input-group">
                                    <span class="input-group-addon">$</span>
                                    <input type="number" class="form-control" name="DM_Cost-{n}" value="" />
                                </div>
                            </div>



                            <div class="col-sm-1">
                                <label class="control-label"></label>
                                <button type="button" class="btn btn-danger js-dm-delete">Eliminar</button>
                                <input type="hidden" name="DM_Deleted-{n}" class="js-deleted" value="false" />
                            </div>
                        </div>
                        <div class="row padding-10">
                            <div class="col-sm-2 col-sm-offset-1">
                                <label class="control-label">Requiere datos</label>
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="DM_RequiresData-{n}" />
                                    <label></label>
                                </div>
                            </div>

                            <div class="col-sm-2">
                                <label class="control-label">Es transporte</label>
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="DM_IsTransport-{n}" />
                                    <label></label>
                                </div>
                            </div>
                            <div class="col-sm-2">
                                <label class="control-label">Mosrar provincias</label>
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="DM_IsProvince-{n}" />
                                    <label></label>
                                </div>
                            </div>
                            <div class="col-sm-2">
                                <label class="control-label">Es local</label>
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="DM_IsLocal-{n}" />
                                    <label></label>
                                </div>
                            </div>
                            <div class="col-sm-2">
                                <label class="control-label">Mostrar locales</label>
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="DM_ShowLocales-{n}" />
                                    <label></label>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-5 col-sm-offset-1">
                                <label class="control-label">Título</label>
                                <input type="text" class="form-control" name="DM_Name-{n}" value="" />
                            </div>
                            <div class="col-sm-6">
                                <label class="control-label">Descripción</label>
                                <textarea class="form-control" name="DM_Description-{n}"></textarea>
                            </div>
                        </div>
                    </li>
                </div>
            </div>
        </div>
</template>

@section Scripts {

    <script type="text/javascript">

        $('#summernote').summernote({
        });

        var save = function () {
            var html = encodeURIComponent($("#summernote").summernote("code"));
            $("#hidHtml").val(html);
            $("#btnSave").click();
        };

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
            });
        })();

        $(document).ready(function () {
            $(".currency").number(true, 2, ',', '.');
        });

        $('.js-add-dm').click(function () {
            var template = $('#DeliveryMethodItem').html();
            var n = $('.js-dm-list li').length + 1;
            template = template.replace(/{n}/g, n);
            var $template = $(template);
            $template.find('select').select2();
            $('.js-dm-list').append($template);
            DeliveryMethodEvents();
        });

        $('.js-dm-delete').click(function () {
            debugger;
            var $item = $(this).closest('.js-dm');
            $item.addClass('hidden');
            $item.find('.js-deleted').val(true)
        });
    </script>
}

